Bug 1281260 - Failed to start foreman-proxy while discovering a host with new discovery image
Failed to start foreman-proxy while discovering a host with new discovery image
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 03:00 EST by Sachin Ghai
Modified: 2017-02-23 14:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:13:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console logs: from the host we were trying to discover (60.58 KB, image/png)
2015-11-12 03:00 EST, Sachin Ghai
no flags Details
exact error on console (23.18 KB, image/png)
2015-11-12 03:01 EST, Sachin Ghai
no flags Details
discovery_debug (62.17 KB, text/plain)
2015-11-12 03:08 EST, Sachin Ghai
no flags Details
host discovered via pxe-less (24.76 KB, image/png)
2015-11-26 11:42 EST, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2015-11-12 03:00:27 EST
Created attachment 1093039 [details]
console logs: from the host we were trying to discover

Description of problem: I was trying pxe-less discovery with new downstream image (foreman-discovery-image-3.0.4-1.el7sat.noarch). I boot the host with ISO and select the Manual configuration and pass IP/dns/gw. As soon as I submit the network configuration, following error appears on console:

command failed: systemctl start foreman-proxy:
job for foreman-proxy.service failed


Version-Release number of selected component (if applicable):
satellite 6.1.4 compose 7

on external capsule:
------------------------
foreman-discovery-image-3.0.4-1.el7sat.noarch
rubygem-smart_proxy_discovery-1.0.3-2.el7sat.noarch

on Satellite server:
-------------------
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
rubygem-smart_proxy_discovery-1.0.3-2.el7sat.noarch
foreman-discovery-image-3.0.4-1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
As soon as I submit the network configuration, following error appears on console:

command failed: systemctl start foreman-proxy:
job for foreman-proxy.service failed

Expected results:
foreman-credentials screen appears as soon as manual or network configuration via dhcp is done 

Additional info:
Comment 1 Sachin Ghai 2015-11-12 03:01 EST
Created attachment 1093040 [details]
exact error on console
Comment 2 Sachin Ghai 2015-11-12 03:08 EST
Created attachment 1093043 [details]
discovery_debug
Comment 4 Sachin Ghai 2015-11-12 03:17:54 EST
I tried upstream image with compose7 and reported issue is reproducible with that too.
Comment 6 Lukas Zapletal 2015-11-12 12:00:03 EST
QUICK WORKAROUND: ssh onto the image before you start provisioning and do:

sed -i 's|.*:log_file:.*|:log_file: /tmp/proxy.log|' /etc/foreman-proxy/settings.yml

If you do PXE workflow then:

systemctl restart foreman-proxy

In PXE-less do not restart foreman-proxy as it is started from the TUI during provisining.
Comment 7 Sachin Ghai 2015-11-13 02:56:49 EST
Found same issue with version 3.0.5 too (foreman-discovery-image.noarch 1:3.0.5-1.el7sat)
Comment 11 Sachin Ghai 2015-11-26 11:41:19 EST
Verified with Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
and using scratchbuild of discovery image from brew having version: foreman-discovery-image-3.0.5-2.iso

I can discover a host without PXE by booting the host with discovery image. Please see the attached screenshot for verification.
Comment 12 Sachin Ghai 2015-11-26 11:42 EST
Created attachment 1099336 [details]
host discovered via pxe-less
Comment 13 Bryan Kearney 2015-12-15 08:13:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.